LocalUNumberFormatterPointer Class Reference

"Smart pointer" class; closes a UNumberFormatter via unumf_close(). More...

`#include <unumberformatter.h>`

## Detailed Description

"Smart pointer" class; closes a UNumberFormatter via unumf_close().

For most methods see the LocalPointerBase base class.

Usage:

    LocalUNumberFormatterPointer uformatter(unumf_openForSkeletonAndLocale(...));
    // no need to explicitly call unumf_close()

See also
  LocalPointerBase
  LocalPointer

Stable:
  ICU 62

The documentation for this class was generated from the following file:

- i18n/unicode/unumberformatter.h